epp_DomainRenewRsp (EPP RTK Java API Documentation)
Keywords: org.openrtk.idl.epp0402.domain.epp_DomainRenewRsp class

### org.openrtk.idl.epp0402.domain

# Class epp_DomainRenewRsp

- `java.lang.Object`
- - `org.openrtk.idl.epp0402.domain.epp_DomainRenewRsp`

Implemented Interfaces:
  org.omg.CORBA.portable.IDLEntity

`public class epp_DomainRenewRsp`
`extends java.lang.Object`
`implements org.omg.CORBA.portable.IDLEntity`

Class that contains the elements used to represent the domain renew response from the EPP server. Note usually instantiated by the RTK user, but rather by EPPDomainRenew and retrieved using that class' getResponseData() method. $Header: /cvsroot/epp-rtk/epp-rtk/java/src/org/openrtk/idl/epp0402/domain/epp_DomainRenewRsp.java,v 1.2 2003/09/10 21:29:55 tubadanm Exp $
$Revision: 1.2 $
$Date: 2003/09/10 21:29:55 $

See Also:
  `EPPDomainRenew`, `epp_DomainRenewReq`

  ## Field Summary
  `String` | `m_expiration_date` The expiration date of the domain object.
  `String` | `m_name` The name of the domain object in the registry.
  `epp_Response` | `m_rsp` The common and generic response element.

  ## Constructor Summary
  `epp_DomainRenewRsp()` Empty constructor
  `epp_DomainRenewRsp(epp_Response _m_rsp, String _m_name, String _m_expiration_date)` The constructor with initializing variables.

  ## Method Summary
  `String` | `getExpirationDate()` Accessor method for the expiration date of the domain object
  `String` | `getName()` Accessor method for the name of the domain object in the registry
  `epp_Response` | `getRsp()` Accessor method for the common and generic response element.
  `void` | `setExpirationDate(String value)` Accessor method for the expiration date of the domain object
  `void` | `setName(String value)` Accessor method for the name of the domain object in the registry
  `void` | `setRsp(epp_Response value)` Accessor method for the common and generic response element.
  `String` | `toString()` Converts this class into a string.

## Field Details

### m_expiration_date

    public String m_expiration_date

> The expiration date of the domain object.
> See Also:
>   `setExpirationDate(String)`, `getExpirationDate()`

### m_name

    public String m_name

> The name of the domain object in the registry.
> See Also:
>   `setName(String)`, `getName()`

### m_rsp

    public epp_Response m_rsp

> The common and generic response element.
> See Also:
>   `getRsp()`

## Constructor Details

### epp_DomainRenewRsp

    public epp_DomainRenewRsp()

> Empty constructor

### epp_DomainRenewRsp

    public epp_DomainRenewRsp(epp_Response _m_rsp,
                              String _m_name,
                              String _m_expiration_date)

> The constructor with initializing variables.
> Parameters:
>   `_m_rsp` - The common and generic response element
>   `_m_name` - The name of the domain object in the registry
>   `_m_expiration_date` - The expiration date of the domain object

## Method Details

### getExpirationDate

    public String getExpirationDate()

> Accessor method for the expiration date of the domain object
> Returns:
>   The domain expiration date
> See Also:
>   `m_expiration_date`

### getName

    public String getName()

> Accessor method for the name of the domain object in the registry
> Returns:
>   The domain name
> See Also:
>   `m_name`

### getRsp

    public epp_Response getRsp()

> Accessor method for the common and generic response element.
> Returns:
>   The value for the response element
> See Also:
>   `m_rsp`

### setExpirationDate

    public void setExpirationDate(String value)

> Accessor method for the expiration date of the domain object
> Parameters:
>   `value` - The domain expiration date
> See Also:
>   `m_expiration_date`

### setName

    public void setName(String value)

> Accessor method for the name of the domain object in the registry
> Parameters:
>   `value` - The domain name
> See Also:
>   `m_name`

### setRsp

    public void setRsp(epp_Response value)

> Accessor method for the common and generic response element.
> Parameters:
>   `value` - The new value for the response element
> See Also:
>   `m_rsp`

### toString

    public String toString()

> Converts this class into a string. Typically used to view the object in debug output.
> Returns:
>   The string representation of this object instance

Copyright © 2001-2002 - Tucows, Inc., 2003 - LibertyRMS